Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5548)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5549)
@@ -706,5 +775,5 @@
 	assertTrue(component.endsWith("</xs:schema>"));
 
-	component = getResource().path("/registry/components/" + id + "/xml")
+	component = this.getAuthenticatedResource(getResource().path("/registry/components/" + id + "/xml"))
 		.accept(MediaType.TEXT_XML).get(String.class).trim();
 	assertTrue(component
@@ -714,8 +783,8 @@
 
 	try {
-	    getResource()
+	    this.getAuthenticatedResource(getResource()
 		    .path("/registry/components/"
 			    + ComponentDescription.COMPONENT_PREFIX
-			    + "component1/jpg").accept(MediaType.TEXT_XML)
+			    + "component1/jpg")).accept(MediaType.TEXT_XML)
 		    .get(String.class);
 	    fail("Should have thrown exception, unsopported path parameter");
@@ -726,4 +795,7 @@
     @Test
     public void testRegisterProfile() throws Exception {
+        
+        fillUpPublicItems();
+        
 	FormDataMultiPart form = new FormDataMultiPart();
 	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
@@ -742,5 +814,5 @@
 		RegisterResponse.class, form);
 	assertTrue(response.isProfile());
-	assertFalse(response.isInUserSpace());
+	assertTrue(response.isInUserSpace());
 	ProfileDescription profileDesc = (ProfileDescription) response
 		.getDescription();
@@ -762,12 +834,14 @@
     @Test
     public void testPublishProfile() throws Exception {
-	assertEquals("user registered profiles", 0, getUserProfiles().size());
-	assertEquals("public registered profiles", 0, getPublicProfiles()
+        
+        fillUpPrivateItems();
+        fillUpPublicItems();
+        
+	assertEquals("user registered profiles", 1, getUserProfiles().size());
+	assertEquals("public registered profiles", 2, getPublicProfiles()
 		.size());
 	FormDataMultiPart form = createFormData(
 		RegistryTestHelper.getTestProfileContent(), "Unpublished");
-	RegisterResponse response = getAuthenticatedResource(
-		getResource().path("/registry/profiles").queryParam(
-			USERSPACE_PARAM, "true")).type(
+	RegisterResponse response = getAuthenticatedResource(getResource().path("/registry/profiles")).type(
 		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
 		form);
@@ -775,19 +849,18 @@
 	BaseDescription desc = response.getDescription();
 	assertEquals("Unpublished", desc.getDescription());
-	assertEquals(1, getUserProfiles().size());
-	assertEquals(0, getPublicProfiles().size());
+	assertEquals(2, getUserProfiles().size());
+	assertEquals(2, getPublicProfiles().size());
 	form = createFormData(
 		RegistryTestHelper.getTestProfileContent("publishedName"),
 		"Published");
-	response = getAuthenticatedResource(
-		getResource().path(
+	response = getAuthenticatedResource(getResource().path(
 			"/registry/profiles/" + desc.getId() + "/publish"))
 		.type(MediaType.MULTIPART_FORM_DATA).post(
 			RegisterResponse.class, form);
 
-	assertEquals(0, getUserProfiles().size());
+	assertEquals(1, getUserProfiles().size());
 	List<ProfileDescription> profiles = getPublicProfiles();
-	assertEquals(1, profiles.size());
-	ProfileDescription profileDescription = profiles.get(0);
+	assertEquals(3, profiles.size());
+	ProfileDescription profileDescription = profiles.get(2);
 	assertNotNull(profileDescription.getId());
 	assertEquals(desc.getId(), profileDescription.getId());
@@ -801,8 +874,8 @@
     private CMDComponentSpec getPublicSpec(BaseDescription desc) {
 	if (desc.isProfile()) {
-	    return getResource().path("/registry/profiles/" + desc.getId())
+	    return this.getAuthenticatedResource(getResource().path("/registry/profiles/" + desc.getId()))
 		    .get(CMDComponentSpec.class);
 	} else {
-	    return getResource().path("/registry/components/" + desc.getId())
+	    return this.getAuthenticatedResource(getResource().path("/registry/components/" + desc.getId()))
 		    .get(CMDComponentSpec.class);
 	}
@@ -810,12 +883,15 @@
 
     @Test
-    public void testPublishComponent() throws Exception {
-	assertEquals(0, getUserComponents().size());
-	assertEquals(0, getPublicComponents().size());
+    public void testPublishRegisteredComponent() throws Exception {
+        
+        fillUpPrivateItems();
+        fillUpPublicItems();
+        
+	assertEquals(1, getUserComponents().size());
+	assertEquals(2, getPublicComponents().size());
+        
 	FormDataMultiPart form = createFormData(
 		RegistryTestHelper.getComponentTestContent(), "Unpublished");
-	RegisterResponse response = getAuthenticatedResource(
-		getResource().path("/registry/components").queryParam(
-			USERSPACE_PARAM, "true")).type(
+	RegisterResponse response = getAuthenticatedResource(getResource().path("/registry/components")).type(
 		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
 		form);
@@ -823,19 +899,18 @@
 	BaseDescription desc = response.getDescription();
 	assertEquals("Unpublished", desc.getDescription());
-	assertEquals(1, getUserComponents().size());
-	assertEquals(0, getPublicComponents().size());
+	assertEquals(2, getUserComponents().size());
+	assertEquals(2, getPublicComponents().size());
 	form = createFormData(
 		RegistryTestHelper.getComponentTestContentAsStream("publishedName"),
 		"Published");
-	response = getAuthenticatedResource(
-		getResource().path(
+	response = getAuthenticatedResource(getResource().path(
 			"/registry/components/" + desc.getId() + "/publish"))
 		.type(MediaType.MULTIPART_FORM_DATA).post(
 			RegisterResponse.class, form);
 
-	assertEquals(0, getUserComponents().size());
+	assertEquals(1, getUserComponents().size());
 	List<ComponentDescription> components = getPublicComponents();
-	assertEquals(1, components.size());
-	ComponentDescription componentDescription = components.get(0);
+	assertEquals(3, components.size());
+	ComponentDescription componentDescription = components.get(2);
 	assertNotNull(componentDescription.getId());
 	assertEquals(desc.getId(), componentDescription.getId());
@@ -848,15 +923,18 @@
     }
 
+    // duplicates ("extendedly") testRegisterProfile, since you can pot only in user space, and then publish or move to group or so
     @Test
     public void testRegisterUserspaceProfile() throws Exception {
+        
+        fillUpPrivateItems();
+        fillUpPublicItems();
+        
 	List<ProfileDescription> profiles = getUserProfiles();
-	assertEquals("user registered profiles", 0, profiles.size());
-	assertEquals("public registered profiles", 0, getPublicProfiles()
+	assertEquals("user registered profiles", 1, profiles.size());
+	assertEquals("public registered profiles", 2, getPublicProfiles()
 		.size());
 	FormDataMultiPart form = createFormData(RegistryTestHelper
 		.getTestProfileContent());
-	RegisterResponse response = getAuthenticatedResource(
-		getResource().path("/registry/profiles").queryParam(
-			USERSPACE_PARAM, "true")).type(
+	RegisterResponse response = getAuthenticatedResource(getResource().path("/registry/profiles")).type(
 		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
 		form);
@@ -875,32 +953,26 @@
 	assertEquals(
 		"http://localhost:9998/registry/profiles/"
-			+ profileDesc.getId() + "?userspace=true",
+			+ profileDesc.getId(),
 		profileDesc.getHref());
 
 	profiles = getUserProfiles();
-	assertEquals(1, profiles.size());
-	assertEquals(0, getPublicProfiles().size());
+	assertEquals(2, profiles.size());
+	assertEquals(2, getPublicProfiles().size());
 
 	// Try to post unauthenticated
 	ClientResponse cResponse = getResource().path("/registry/profiles")
-		.queryParam(USERSPACE_PARAM, "true")
 		.type(MediaType.MULTIPART_FORM_DATA)
 		.post(ClientResponse.class, form);
 	assertEquals(401, cResponse.getStatus());
 
-	// Try get from public registry
-	cResponse = getResource()
-		.path("/registry/profiles/" + profileDesc.getId())
-		.accept(MediaType.APPLICATION_XML).get(ClientResponse.class);
-	// Should return 404 = not found
-	assertEquals(404, cResponse.getStatus());
-	CMDComponentSpec spec = getAuthenticatedResource(
-		getResource().path("/registry/profiles/" + profileDesc.getId())
-			.queryParam(USERSPACE_PARAM, "true")).accept(
+	
+	
+	CMDComponentSpec spec = getAuthenticatedResource(getResource().path("/registry/profiles/" + profileDesc.getId())
+			.queryParam(REGISTRY_SPACE_PARAM, "private")).accept(
 		MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
 	assertNotNull(spec);
 
-	cResponse = getResource()
-		.path("/registry/profiles/" + profileDesc.getId() + "/xsd")
+	cResponse = this.getAuthenticatedResource(getResource()
+		.path("/registry/profiles/" + profileDesc.getId() + "/xsd"))
 		.accept(MediaType.TEXT_XML).get(ClientResponse.class);
 	assertEquals(200, cResponse.getStatus());
@@ -908,18 +980,16 @@
 	assertTrue(profile.length() > 0);
 
-	profile = getAuthenticatedResource(
-		getResource().path(
+	profile = getAuthenticatedResource(getResource().path(
 			"/registry/profiles/" + profileDesc.getId() + "/xml"))
 		.accept(MediaType.TEXT_XML).get(String.class);
 	assertTrue(profile.length() > 0);
 
-	cResponse = getAuthenticatedResource(
-		getResource().path("/registry/profiles/" + profileDesc.getId())
-			.queryParam(USERSPACE_PARAM, "true")).delete(
+	cResponse = getAuthenticatedResource(getResource().path("/registry/profiles/" + profileDesc.getId())
+			.queryParam(REGISTRY_SPACE_PARAM, "private")).delete(
 		ClientResponse.class);
 	assertEquals(200, cResponse.getStatus());
 
 	profiles = getUserProfiles();
-	assertEquals(0, profiles.size());
+	assertEquals(1, profiles.size());
     }
 
@@ -930,7 +1000,6 @@
 
     private List<ProfileDescription> getUserProfiles() {
-	return getAuthenticatedResource(
-		getResource().path("/registry/profiles").queryParam(
-			USERSPACE_PARAM, "true")).accept(
+	return getAuthenticatedResource(getResource().path("/registry/profiles").queryParam(
+			REGISTRY_SPACE_PARAM, "private")).accept(
 		MediaType.APPLICATION_XML).get(PROFILE_LIST_GENERICTYPE);
     }
@@ -954,7 +1023,7 @@
     @Test
     public void testRegisterWithUserComponents() throws Exception {
-	ComponentRegistry userRegistry = componentRegistryFactory
-		.getComponentRegistry(ComponentStatus.PRIVATE, null,
-			DummyPrincipal.DUMMY_CREDENTIALS);
+        fillUpPrivateItems();
+        
+        // kid component, not public
 	String content = "";
 	content += "<CMD_ComponentSpec isProfile=\"false\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n";
@@ -966,6 +1035,7 @@
 	content += "</CMD_ComponentSpec>\n";
 	ComponentDescription compDesc1 = RegistryTestHelper.addComponent(
-		userRegistry, "XXX1", content);
-
+		baseRegistry, "XXX1", content, false);
+
+        // a containing component, referring to the kid (which is not public, so the containing component cannot be registered
 	content = "";
 	content += "<CMD_ComponentSpec isProfile=\"false\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n";
@@ -982,20 +1052,9 @@
 		"/registry/components").type(MediaType.MULTIPART_FORM_DATA)
 		.post(RegisterResponse.class, form);
-	assertFalse(response.isRegistered());
-	assertEquals(1, response.getErrors().size());
-	assertEquals(
-		"referenced component cannot be found in the published components: "
-			+ compDesc1.getName() + " (" + compDesc1.getId() + ")",
-		response.getErrors().get(0));
-
-	response = getAuthenticatedResource(
-		getResource().path("/registry/components").queryParam(
-			USERSPACE_PARAM, "true")).type(
-		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
-		form);
+        // we first alway register in a private space, so reference to a private component should work
 	assertTrue(response.isRegistered());
-	ComponentDescription comp2 = (ComponentDescription) response
-		.getDescription();
-
+
+
+        /// profiles ///
 	content = "";
 	content += "<CMD_ComponentSpec isProfile=\"true\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n";
@@ -1003,5 +1062,5 @@
 	content += "    <Header/>\n";
 	content += "    <CMD_Component name=\"ZZZ\" CardinalityMin=\"1\" CardinalityMax=\"unbounded\">\n";
-	content += "        <CMD_Component ComponentId=\"" + comp2.getId()
+	content += "        <CMD_Component ComponentId=\"" + compDesc1.getId()
 		+ "\" CardinalityMin=\"0\" CardinalityMax=\"99\">\n";
 	content += "        </CMD_Component>\n";
@@ -1013,23 +1072,15 @@
 		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
 		form);
-	assertFalse(response.isRegistered());
-	assertEquals(1, response.getErrors().size());
-	assertEquals(
-		"referenced component cannot be found in the published components: "
-			+ comp2.getName() + " (" + comp2.getId() + ")",
-		response.getErrors().get(0));
-
-	response = getAuthenticatedResource(
-		getResource().path("/registry/profiles").queryParam(
-			USERSPACE_PARAM, "true")).type(
-		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
-		form);
 	assertTrue(response.isRegistered());
+
     }
 
     @Test
     public void testRegisterUserspaceComponent() throws Exception {
+        
+        fillUpPrivateItems();
+        
 	List<ComponentDescription> components = getUserComponents();
-	assertEquals("user registered components", 0, components.size());
+	assertEquals("user registered components", 1, components.size());
 	assertEquals("public registered components", 0, getPublicComponents()
 		.size());
@@ -1037,7 +1088,5 @@
 		.getComponentTestContent());
 
-	RegisterResponse response = getAuthenticatedResource(
-		getResource().path("/registry/components").queryParam(
-			USERSPACE_PARAM, "true")).type(
+	RegisterResponse response = getAuthenticatedResource(getResource().path("/registry/components")).type(
 		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
 		form);
@@ -1057,28 +1106,26 @@
 	assertNotNull(desc.getRegistrationDate());
 	String url = getResource().getUriBuilder().build().toString();
-	assertEquals(url + "registry/components/" + desc.getId()
-		+ "?userspace=true", desc.getHref());
+	assertEquals(url + "registry/components/" + desc.getId(), desc.getHref());
 
 	components = getUserComponents();
-	assertEquals(1, components.size());
+	assertEquals(2, components.size());
 	assertEquals(0, getPublicComponents().size());
 
 	// Try to post unauthenticated
 	ClientResponse cResponse = getResource().path("/registry/components")
-		.queryParam(USERSPACE_PARAM, "true")
 		.type(MediaType.MULTIPART_FORM_DATA)
 		.post(ClientResponse.class, form);
 	assertEquals(401, cResponse.getStatus());
 
-	// Try to get from public registry
-	cResponse = getResource().path("/registry/components/" + desc.getId())
+	// Try to get 
+	cResponse = this.getAuthenticatedResource(getResource().path("/registry/components/" + desc.getId()))
 		.accept(MediaType.APPLICATION_XML).get(ClientResponse.class);
-	// Should return 404 = not found
-	assertEquals(404, cResponse.getStatus());
+	
+	assertEquals(200, cResponse.getStatus());
 	CMDComponentSpec spec = getUserComponent(desc);
 	assertNotNull(spec);
 
-	cResponse = getResource()
-		.path("/registry/components/" + desc.getId() + "/xsd")
+	cResponse = this.getAuthenticatedResource(getResource()
+		.path("/registry/components/" + desc.getId() + "/xsd"))
 		.accept(MediaType.TEXT_XML).get(ClientResponse.class);
 	assertEquals(200, cResponse.getStatus());
@@ -1086,28 +1133,25 @@
 	assertTrue(result.length() > 0);
 
-	result = getAuthenticatedResource(
-		getResource().path(
+	result = getAuthenticatedResource(getResource().path(
 			"/registry/components/" + desc.getId() + "/xml"))
 		.accept(MediaType.TEXT_XML).get(String.class);
 	assertTrue(result.length() > 0);
 
-	cResponse = getAuthenticatedResource(
-		getResource().path("/registry/components/" + desc.getId())
-			.queryParam(USERSPACE_PARAM, "true")).delete(
+	cResponse = getAuthenticatedResource(getResource().path("/registry/components/" + desc.getId())).delete(
 		ClientResponse.class);
 	assertEquals(200, cResponse.getStatus());
 
 	components = getUserComponents();
-	assertEquals(0, components.size());
-    }
-
-    @Test
-    public void testCreateComponentWithRecursion() throws Exception {
+	assertEquals(1, components.size());
+    }
+//
+    @Test
+    public void testCreatePrivateComponentWithRecursion() throws Exception {
+        
+        fillUpPrivateItems();
 	// Create new componet
 	FormDataMultiPart form = createFormData(RegistryTestHelper
 		.getComponentTestContent());
-	ClientResponse cResponse = getAuthenticatedResource(
-		getResource().path("/registry/components").queryParam(
-			USERSPACE_PARAM, "true")).type(
+	ClientResponse cResponse = getAuthenticatedResource(getResource().path("/registry/components")).type(
 		MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
 	assertEquals(ClientResponse.Status.OK.getStatusCode(),
@@ -1140,8 +1184,6 @@
 		RegistryTestHelper.getComponentContentAsStream(compContent),
 		"UPDATE DESCRIPTION!");
-	cResponse = getAuthenticatedResource(
-		getResource().path(
-			"/registry/components/" + desc.getId() + "/update")
-			.queryParam(USERSPACE_PARAM, "true")).type(
+	cResponse = getAuthenticatedResource(getResource().path(
+			"/registry/components/" + desc.getId() + "/update")).type(
 		MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
 	assertEquals(ClientResponse.Status.OK.getStatusCode(),
@@ -1159,15 +1201,17 @@
 
     @Test
-    public void testUpdateComponent() throws Exception {
+    public void testUpdatePrivateComponent() throws Exception {
+        
+        fillUpPrivateItems();
+        
 	List<ComponentDescription> components = getUserComponents();
-	assertEquals("user registered components", 0, components.size());
+	assertEquals("user registered components", 1, components.size());
 	assertEquals("public registered components", 0, getPublicComponents()
 		.size());
-
+        
+        // first, post a component to update
 	FormDataMultiPart form = createFormData(RegistryTestHelper
 		.getComponentTestContent());
-	ClientResponse cResponse = getAuthenticatedResource(
-		getResource().path("/registry/components").queryParam(
-			USERSPACE_PARAM, "true")).type(
+	ClientResponse cResponse = getAuthenticatedResource(getResource().path("/registry/components")).type(
 		MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
 	assertEquals(ClientResponse.Status.OK.getStatusCode(),
@@ -1187,15 +1231,14 @@
 	assertEquals("Access", spec.getCMDComponent().getName());
 	components = getUserComponents();
-	assertEquals(1, components.size());
+	assertEquals(2, components.size());
 	assertEquals(0, getPublicComponents().size());
 
-	// Now update
+	// second, now update
 	form = createFormData(
 		RegistryTestHelper.getComponentTestContentAsStream("TESTNAME"),
 		"UPDATE DESCRIPTION!");
-	cResponse = getAuthenticatedResource(
-		getResource().path(
+	cResponse = getAuthenticatedResource(getResource().path(
 			"/registry/components/" + desc.getId() + "/update")
-			.queryParam(USERSPACE_PARAM, "true")).type(
+			.queryParam(REGISTRY_SPACE_PARAM, "private")).type(
 		MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
 	assertEquals(ClientResponse.Status.OK.getStatusCode(),
@@ -1216,19 +1259,20 @@
 	assertEquals("TESTNAME", spec.getCMDComponent().getName());
 	components = getUserComponents();
-	assertEquals(1, components.size());
+	assertEquals(2, components.size());
 	assertEquals(0, getPublicComponents().size());
     }
 
     @Test
-    public void testUpdateProfile() throws Exception {
+    public void testUpdatePrivateProfile() throws Exception {
+        
+        fillUpPrivateItems();
+        
 	List<ProfileDescription> profiles = getUserProfiles();
-	assertEquals(0, profiles.size());
+	assertEquals(1, profiles.size());
 	assertEquals(0, getPublicProfiles().size());
 
 	FormDataMultiPart form = createFormData(RegistryTestHelper
 		.getTestProfileContent());
-	ClientResponse cResponse = getAuthenticatedResource(
-		getResource().path("/registry/profiles").queryParam(
-			USERSPACE_PARAM, "true")).type(
+	ClientResponse cResponse = getAuthenticatedResource(getResource().path("/registry/profiles")).type(
 		MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
 	assertEquals(ClientResponse.Status.OK.getStatusCode(),
@@ -1249,5 +1293,5 @@
 	assertEquals("Actor", spec.getCMDComponent().getName());
 	profiles = getUserProfiles();
-	assertEquals(1, profiles.size());
+	assertEquals(2, profiles.size());
 	assertEquals(0, getPublicComponents().size());
 
@@ -1256,8 +1300,6 @@
 		RegistryTestHelper.getTestProfileContent("TESTNAME"),
 		"UPDATE DESCRIPTION!");
-	cResponse = getAuthenticatedResource(
-		getResource().path(
-			"/registry/profiles/" + desc.getId() + "/update")
-			.queryParam(USERSPACE_PARAM, "true")).type(
+	cResponse = getAuthenticatedResource(getResource().path(
+			"/registry/profiles/" + desc.getId() + "/update")).type(
 		MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
 	assertEquals(ClientResponse.Status.OK.getStatusCode(),
@@ -1278,19 +1320,17 @@
 	assertEquals("TESTNAME", spec.getCMDComponent().getName());
 	profiles = getUserProfiles();
-	assertEquals(1, profiles.size());
+	assertEquals(2, profiles.size());
 	assertEquals(0, getPublicComponents().size());
     }
 
     private CMDComponentSpec getUserComponent(ComponentDescription desc) {
-	return getAuthenticatedResource(
-		getResource().path("/registry/components/" + desc.getId())
-			.queryParam(USERSPACE_PARAM, "true")).accept(
+	return getAuthenticatedResource(getResource().path("/registry/components/" + desc.getId())
+			.queryParam(REGISTRY_SPACE_PARAM, "private")).accept(
 		MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
     }
 
     private CMDComponentSpec getUserProfile(ProfileDescription desc) {
-	return getAuthenticatedResource(
-		getResource().path("/registry/profiles/" + desc.getId())
-			.queryParam(USERSPACE_PARAM, "true")).accept(
+	return getAuthenticatedResource(getResource().path("/registry/profiles/" + desc.getId())
+			.queryParam(REGISTRY_SPACE_PARAM, "private")).accept(
 		MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
     }
@@ -1302,7 +1342,6 @@
 
     private List<ComponentDescription> getUserComponents() {
-	return getAuthenticatedResource(
-		getResource().path("/registry/components").queryParam(
-			USERSPACE_PARAM, "true")).accept(
+	return getAuthenticatedResource(getResource().path("/registry/components").queryParam(
+			REGISTRY_SPACE_PARAM, "private")).accept(
 		MediaType.APPLICATION_XML).get(COMPONENT_LIST_GENERICTYPE);
     }
@@ -1310,4 +1349,7 @@
     @Test
     public void testRegisterComponent() throws Exception {
+        
+        fillUpPrivateItems();
+        
 	FormDataMultiPart form = new FormDataMultiPart();
 	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
@@ -1326,5 +1368,5 @@
 	assertTrue(response.isRegistered());
 	assertFalse(response.isProfile());
-	assertFalse(response.isInUserSpace());
+	assertTrue(response.isInUserSpace());
 	ComponentDescription desc = (ComponentDescription) response
 		.getDescription();
@@ -1346,9 +1388,11 @@
     @Test
     public void testRegisterComment() throws Exception {
+        
+        fillUpPublicItems();
+        
 	FormDataMultiPart form = new FormDataMultiPart();
 	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
 		RegistryTestHelper.getCommentTestContent(),
 		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	fillUp();
 	String id = ProfileDescription.PROFILE_PREFIX + "profile1";
 	CommentResponse response = getAuthenticatedResource(
@@ -1371,22 +1415,24 @@
     @Test
     public void testRegisterCommentToNonExistent() throws Exception {
+        fillUpPublicItems();
+        
 	FormDataMultiPart form = new FormDataMultiPart();
 	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
 		RegistryTestHelper.getCommentTestContent(),
 		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	fillUp();
 	ClientResponse cResponse = getAuthenticatedResource(
 		"/registry/profiles/clarin.eu:cr1:profile99/comments").type(
 		MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
-	assertEquals(500, cResponse.getStatus());
+	assertEquals(404, cResponse.getStatus());
     }
 
     @Test
     public void testRegisterCommentUnauthenticated() throws Exception {
+        fillUpPublicItems();
+        
 	FormDataMultiPart form = new FormDataMultiPart();
 	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
 		RegistryTestHelper.getCommentTestContent(),
 		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	fillUp();
 	ClientResponse cResponse = getResource()
 		.path("/registry/profiles/clarin.eu:cr1:profile1/comments")
@@ -1398,4 +1444,5 @@
     @Test
     public void testRegisterProfileInvalidData() throws Exception {
+        fillUpPrivateItems();
 	FormDataMultiPart form = new FormDataMultiPart();
 	String notAValidProfile = "<CMD_ComponentSpec> </CMD_ComponentSpec>";
@@ -1426,4 +1473,5 @@
     @Test
     public void testRegisterInvalidProfile() throws Exception {
+        fillUpPrivateItems();
 	FormDataMultiPart form = new FormDataMultiPart();
 	String profileContent = "";
@@ -1469,4 +1517,5 @@
     public void testRegisterProfileInvalidDescriptionAndContent()
 	    throws Exception {
+        fillUpPrivateItems();
 	FormDataMultiPart form = new FormDataMultiPart();
 	String profileContent = "";
@@ -1499,4 +1548,5 @@
     @Test
     public void testRegisterLargeProfile() throws Exception {
+        //fillUpPrivateItems(); not necessary
 	FormDataMultiPart form = new FormDataMultiPart();
 	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
@@ -1519,4 +1569,5 @@
     @Test
     public void testRegisterComponentAsProfile() throws Exception {
+        //fillUpPrivateItems();; not necessary
 	FormDataMultiPart form = new FormDataMultiPart();
 	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
@@ -1641,6 +1692,6 @@
     @Test
     public void testGetDescription() throws Exception{
-        fillUp();
-    	String id = ComponentDescription.COMPONENT_PREFIX + "component1";
+        fillUpPublicItems();
+        String id = ComponentDescription.COMPONENT_PREFIX + "component1";
         ComponentDescription component = getAuthenticatedResource(getResource().path("/registry/items/" + id)).accept(MediaType.APPLICATION_JSON).get(ComponentDescription.class);
         assertNotNull(component);
